Location (ActiveIO 1.0 API)
Keywords: org.activeio.journal.active.Location class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.activeio.journal.active
Class Location

    java.lang.Object
      org.activeio.journal.active.Location

All Implemented Interfaces:
  java.lang.Comparable, RecordLocation

public final class Location
extends java.lang.Object
implements RecordLocation

Defines a where a record can be located in the Journal.

Version:
  $Revision: 1.1 $

Field Summary
`static int` | `SERIALIZED_SIZE`

Constructor Summary
`Location(int logFileId, int fileOffset)`

Method Summary
`int` | `compareTo(java.lang.Object o)`
`boolean` | `equals(java.lang.Object o)`
`int` | `getLogFileId()`
`int` | `getLogFileOffset()`
`int` | `hashCode()`
`static Location` | `readFromDataInput(java.io.DataInput data)`
`static Location` | `readFromPacket(Packet packet)`
`java.lang.String` | `toString()`
`void` | `writeToDataOutput(java.io.DataOutput data)`
`void` | `writeToPacket(Packet packet)`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### SERIALIZED_SIZE

    public static final int SERIALIZED_SIZE

See Also:
  Constant Field Values

Constructor Detail

### Location

    public Location(int logFileId,
                    int fileOffset)

Method Detail

### compareTo

    public int compareTo(java.lang.Object o)

  Specified by:
    `compareTo` in interface `java.lang.Comparable`

### hashCode

    public int hashCode()

### equals

    public boolean equals(java.lang.Object o)

### toString

    public java.lang.String toString()

### getLogFileId

    public int getLogFileId()

### getLogFileOffset

    public int getLogFileOffset()

### writeToPacket

    public void writeToPacket(Packet packet)
                       throws java.io.IOException

  Throws:
    `java.io.IOException`

### writeToDataOutput

    public void writeToDataOutput(java.io.DataOutput data)
                           throws java.io.IOException

  Throws:
    `java.io.IOException`

### readFromPacket

    public static Location readFromPacket(Packet packet)
                                   throws java.io.IOException

  Throws:
    `java.io.IOException`

### readFromDataInput

    public static Location readFromDataInput(java.io.DataInput data)
                                      throws java.io.IOException

  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © -2005 The ActiveIO Project. All Rights Reserved.